
REM  ----  The PYRAMID Adventure  *.CMD file

COMMAND ANY
NOT AtLocation 59 ; Player is NOT located at endless desert  >ALL
NOT AtLocation 20 ; Player is NOT located at endless desert  >N S E W
NOT AtLocation 61 ; Player is NOT located at rolling dunes  >ALL
SetVariableTo 5 16 ; Set variable number 5 to 16
END_COMMAND

COMMAND WEAR AMULET
NOUNPresent ; $NOUN$ is here?
PlusScore 13 ; Add 13 to game score
PrintMessage 30 ; You put on the amulet and feel a wave of strength
Tone 2000 120 ; make a sount of 2000 hertz for 120 milliseconds
Tone 3200 300 ; make a sount of 3200 hertz for 300 milliseconds
Tone 1800 130 ; make a sount of 1800 hertz for 130 milliseconds
PrintMessage 27 ;
END_COMMAND

COMMAND ANY
Chance 8 ; 8% of returning TRUE?
AtLocation 9 ; Player is located at Barque Room  >W UP
 OR
AtLocation 10 ; Player is located at Guard Room  >E
 OR
AtLocation 13 ; Player is located at burial chamber  >N S E W
Tone 800 400 ; make a sount of 800 hertz for 400 milliseconds
Tone 600 300 ; make a sount of 600 hertz for 300 milliseconds
PrintMessage 66 ; From somewhere in the room a hidden loudspeaker an
END_COMMAND

COMMAND ANY
NOT InRoom 306 ; TOURIST GROUP is NOT here?
Chance 10 ; 10% of returning TRUE?
AtLocation 5 ; Player is located at Great Museum Hall  >N S E W
 OR
AtLocation 6 ; Player is located at Crafts Room  >E
 OR
AtLocation 7 ; Player is located at Shrine Room  >W
PrintMessage 68 ; A small group of Japanese tourists enters the room
PutInCurrentRoom 306 ; Put noun (TOURIST GROUP) in current room
END_COMMAND

COMMAND ATTACK GROUP
PrintMessage 69 ; As you try to $VERB$ the Japanese tourists they sh
SendToRoom 306 8 ; Put item (TOURIST GROUP) in room 8 (Exhibition Hall  >S)
DoneWithTurn
END_COMMAND

COMMAND TELL GROUP
PrintMessage 67 ; You try to talk to one of the Japanese tourists bu
DoneWithTurn
END_COMMAND

COMMAND ASK GROUP
ReDirectTo TELL GROUP
END_COMMAND

COMMAND TELL PHARAO
Present 302 ; RESURRECTED PHARAO is here?
IsSomewhere 213 ; ROYAL ARMS is somewhere?
PrintMessage 70 ; You kindly ask the Pharao how he feels after the r
DoneWithTurn
END_COMMAND

COMMAND TELL PHARAO
Present 302 ; RESURRECTED PHARAO is here?
IsNoWhere 213 ; ROYAL ARMS is in Room Zero?
PrintMessage 71 ; You ask the Pharao about how to get home. He says
DoneWithTurn
END_COMMAND

COMMAND ASK PHARAO
ReDirectTo TELL PHARAO
END_COMMAND

COMMAND FUCK
PrintMessage 35 ; Are you sick? There is nobody you'd want to fuck h
DoneWithTurn
END_COMMAND

COMMAND FUCK
NOUNPresent ; $NOUN$ is here?
PrintMessage 33 ; You fuck the $NOUN$ for a while but suddenly feel
DoneWithTurn
END_COMMAND

COMMAND PISS
TurnFlagOFF 10 ; Turn flag number 10 OFF
PrintMessage 34 ; After a little $VERB$ you feel quite relieved.
DoneWithTurn
END_COMMAND

COMMAND GIVE BILL
AtLocation 101 ; Player is located at Taxi Cab
Present 223 ; 100-DOLLAR BILL is here?
PrintMessage 46 ; As you pay the fare with the 100-dollar bill the d
SwapLocations 223 224 ; Swap locations of nouns  (100-DOLLAR BILL) and (SMALL CHANGE)
GoToRoom 17 ; Go to location 17 -- outside shop  >N S E W
DoneWithTurn
END_COMMAND

COMMAND PAY DRIVER
AtLocation 101 ; Player is located at Taxi Cab
Present 223 ; 100-DOLLAR BILL is here?
ReDirectTo GIVE BILL
END_COMMAND

COMMAND GIVE BILL IN DRIVER
ReDirectTo GIVE BILL
END_COMMAND

COMMAND TELL CLERK
AtLocation 18 ; Player is located at souvenir shop  >S
FlagOFF 3 ; Flag number 3 is OFF?
PrintMessage 18 ; As you talk to the clerk he seems to awake from hi
PutInCurrentRoom 211 ; Put noun (SACRED AMULET) in current room
DoneWithTurn
END_COMMAND

COMMAND ANY
AtLocation 18 ; Player is located at souvenir shop  >S
FlagOFF 3 ; Flag number 3 is OFF?
Present 211 ; SACRED AMULET is here?
PrintMessage 19 ; You would very much like to buy the amulet, but th
TurnFlagON 3 ; Turn flag number 3 ON
Destroy 224 ; Destroy noun (SMALL CHANGE)
GetIt 211 ; Get noun 211 -- SACRED AMULET
GetIt 223 ; Get noun 223 -- 100-DOLLAR BILL
GoToRoom 17 ; Go to location 17 -- outside shop  >N S E W
PlusScore 12 ; Add 12 to game score
PrintMessage 27 ;
DoneWithTurn
END_COMMAND

COMMAND LIGHT LAMP
IsCarrying 205 ; SAFETY MATCHES is being carried?
VariableLT 1 5 ; Variable number 1 is less than 5?
CounterLT 1 25 ; Counter number 1 is less than 25?
IsCarrying 221 ; OIL LAMP is being carried?
SwapLocations 221 222 ; Swap locations of nouns  (OIL LAMP) and (OIL LAMP)
AddToVariable 1 1 ; Increase variable number 1 by 1
TurnCounterON 1 ; Turn counter number 1 ON
PrintMessage 1 ; The small oil lamp is burning brightly now.
DoneWithTurn
END_COMMAND

COMMAND LIGHT LAMP
IsCarrying 205 ; SAFETY MATCHES is being carried?
CounterGT 1 25 ; Counter number 1 is greater than 25?
PrintMessage 64 ; You try to light the lamp, but the wick is dry. Th
DoneWithTurn
END_COMMAND

COMMAND LIGHT LAMP
NOT IsCarrying 205 ; SAFETY MATCHES is NOT being carried?
PrintMessage 65 ; How do you think you are going to light the $NOUN$
DoneWithTurn
END_COMMAND

COMMAND LIGHT LAMP
IsCarrying 205 ; SAFETY MATCHES is being carried?
VariableGT 1 5 ; Variable number 1 is greater than 5?
SwapLocations 205 207 ; Swap locations of nouns  (SAFETY MATCHES) and (EMPTY MATCHBOX)
PrintMessage 6 ; Though the box still contains some matches you can
DoneWithTurn
END_COMMAND

COMMAND FILL LAMP
Present 222 ; OIL LAMP is here?
 OR
Present 221 ; OIL LAMP is here?
Present 229 ; OIL VIAL is here?
IsOpen 229 ; OIL VIAL is OPEN?
PrintMessage 3 ; You pour a little oil into the oil lamp.
TurnCounterOFF 1 ; Turn counter number 1 OFF
TurnCounterON 1 ; Turn counter number 1 ON
DoneWithTurn
END_COMMAND

COMMAND FILL VIAL IN LAMP
Present 222 ; OIL LAMP is here?
 OR
Present 221 ; OIL LAMP is here?
Present 229 ; OIL VIAL is here?
IsOpen 229 ; OIL VIAL is OPEN?
PrintMessage 3 ; You pour a little oil into the oil lamp.
TurnCounterOFF 1 ; Turn counter number 1 OFF
TurnCounterON 1 ; Turn counter number 1 ON
DoneWithTurn
END_COMMAND

COMMAND OPEN VIAL IN CORKSCREW
Present 229 ; OIL VIAL is here?
Present 202 ; BRAZEN CORKSCREW is here?
IsLocked 229 ; OIL VIAL is LOCKED?
Tone 100 100 ; make a sount of 100 hertz for 100 milliseconds
PrintMessage 17 ; You have some difficulty turning the corkscrew int
UnLockIt 229 ; Unlock noun (OIL VIAL)
OpenIt 229 ; Open noun (OIL VIAL)
DoneWithTurn
END_COMMAND

COMMAND OPEN VIAL
Present 229 ; OIL VIAL is here?
Present 202 ; BRAZEN CORKSCREW is here?
ReDirectTo OPEN VIAL IN CORKSCREW
END_COMMAND

COMMAND OPEN VIAL
NOT Present 202 ; BRAZEN CORKSCREW is NOT here?
PrintMessage 38 ; You try your best but can't seem to open the vial
DoneWithTurn
END_COMMAND

COMMAND FILL LAMP
Present 222 ; OIL LAMP is here?
 OR
Present 221 ; OIL LAMP is here?
Present 229 ; OIL VIAL is here?
IsClosed 229 ; OIL VIAL is CLOSED?
PrintMessage 5 ; You'll have to open the vial of embalming oil firs
DoneWithTurn
END_COMMAND

COMMAND FILL VIAL IN LAMP
Present 222 ; OIL LAMP is here?
 OR
Present 221 ; OIL LAMP is here?
Present 229 ; OIL VIAL is here?
IsClosed 229 ; OIL VIAL is CLOSED?
PrintMessage 5 ; You'll have to open the vial of embalming oil firs
DoneWithTurn
END_COMMAND

COMMAND FILL VIAL IN URN
FlagOFF 6 ; Flag number 6 is OFF?
IsOpen 229 ; OIL VIAL is OPEN?
Together 226 225 ; EMBALMED MUMMY is with PHARAO'S SARCOPHAGUS?
IsWearing 211 ; SACRED AMULET is being worn?
PrintMessage 31 ; As you pour the last drop from the vial into the u
TurnFlagON 5 ; Turn flag number 5 ON
Tone 1800 100 ; make a sount of 1800 hertz for 100 milliseconds
Tone 3000 80 ; make a sount of 3000 hertz for 80 milliseconds
Tone 3700 160 ; make a sount of 3700 hertz for 160 milliseconds
DoneWithTurn
END_COMMAND

COMMAND FILL VIAL IN URN
NOT IsOpen 229 ; OIL VIAL is NOT OPEN?
PrintMessage 5 ; You'll have to open the vial of embalming oil firs
DoneWithTurn
END_COMMAND

COMMAND FILL VIAL IN URN
FlagON 6 ; Flag number 6 is ON?
 OR
NOT IsWearing 211 ; SACRED AMULET is NOT being worn?
PrintMessage 52 ; As you pour some fluid into the urn nothing happen
DoneWithTurn
END_COMMAND

COMMAND SPILL URN
FlagON 6 ; Flag number 6 is ON?
PrintMessage 51 ; You already spilled the urn, unwisely.
DoneWithTurn
END_COMMAND

COMMAND SPILL URN
AtLocation 50 ; Player is located at burial chamber  >N S E W
FlagON 5 ; Flag number 5 is ON?
PrintMessage 32 ; As you spill the contents of the urn it becomes su
Destroy 226 ; Destroy noun (EMBALMED MUMMY)
PutInCurrentRoom 302 ; Put noun (RESURRECTED PHARAO) in current room
PlusScore 12 ; Add 12 to game score
PrintMessage 27 ;
DoneWithTurn
END_COMMAND

COMMAND SPILL URN
NOUNPresent ; $NOUN$ is here?
PrintMessage 50 ; You generously spill the contents of the urn that
TurnFlagON 6 ; Turn flag number 6 ON
DoneWithTurn
END_COMMAND

COMMAND SPILL VIAL
NOUNPresent ; $NOUN$ is here?
PrintMessage 75 ; Out of an insane impulse you spill the oil on the
Destroy 229 ; Destroy noun (OIL VIAL)
DoneWithTurn
END_COMMAND

COMMAND ANY
CounterGT 1 20 ; Counter number 1 is greater than 20?
Present 222 ; OIL LAMP is here?
PrintMessage 2 ; The oil lamp flickers wildly for lack of fuel.
END_COMMAND

COMMAND ANY
CounterGT 1 25 ; Counter number 1 is greater than 25?
Present 222 ; OIL LAMP is here?
PrintMessage 4 ; The small oil lamp flickers and finally goes out.
SwapLocations 221 222 ; Swap locations of nouns  (OIL LAMP) and (OIL LAMP)
END_COMMAND

COMMAND EXTINGUISH LAMP
Present 222 ; OIL LAMP is here?
PrintMessage 4 ; The small oil lamp flickers and finally goes out.
SwapLocations 222 221 ; Swap locations of nouns  (OIL LAMP) and (OIL LAMP)
DoneWithTurn
END_COMMAND

COMMAND ANY
AtLocation 22 ; Player is located at Bus Stop  >N
AddToVariable 2 1 ; Increase variable number 2 by 1
VariableGT 2 16 ; Variable number 2 is equal to 16?
PrintMessage 7 ; You have fooled around too long.
Destroy 220 ; Destroy noun (BUS TICKET)
DoneWithTurn
END_COMMAND

COMMAND ANY
AtLocation 22 ; Player is located at Bus Stop  >N
VariableGT 2 6 ; Variable number 2 is equal to 6?
PrintMessage 76 ; As you might have already expected a bus pulls up
END_COMMAND

COMMAND SOUTH
AtLocation 22 ; Player is located at Bus Stop  >N
PrintMessage 77 ; YOU can't go south from here. Only the bus can.
DoneWithTurn
END_COMMAND

COMMAND GET CORKSCREW
FlagOFF 1 ; Flag number 1 is OFF?
AtLocation 4 ; Player is located at Bazaar  >E
PrintMessage 8 ; As you take the corkscrew an old man appears from
TurnFlagON 1 ; Turn flag number 1 ON
DoneWithTurn
END_COMMAND

COMMAND NEGOTIATE
AtLocation 4 ; Player is located at Bazaar  >E
FlagON 1 ; Flag number 1 is ON?
PrintMessage 9 ; You never before had to negotiate about prices but
TurnFlagOFF 1 ; Turn flag number 1 OFF
GetIt 202 ; Get noun 202 -- BRAZEN CORKSCREW
PlusScore 10 ; Add 10 to game score
PrintMessage 27 ;
DoneWithTurn
END_COMMAND

COMMAND GET
AtLocation 4 ; Player is located at Bazaar  >E
FlagON 1 ; Flag number 1 is ON?
PrintMessage 36 ; "No, no, this is against the rules," says the old
DoneWithTurn
END_COMMAND

COMMAND PAY
AtLocation 4 ; Player is located at Bazaar  >E
ReDirectTo GET
END_COMMAND

COMMAND PAY
NOUNPresent ; $NOUN$ is here?
NOT Present 211 ; SACRED AMULET is NOT here?
PrintMessage 78 ; You consider buying the $NOUN$ but on closer exami
DoneWithTurn
END_COMMAND

COMMAND EXAMINE STAND
AtLocation 6 ; Player is located at Crafts Room  >E
PutInCurrentRoom 221 ; Put noun (OIL LAMP) in current room
PutInCurrentRoom 230 ; Put noun (GOLD COIN) in current room
LookAtRoom ; Give verbose description of current room
END_COMMAND

COMMAND GET SCROLL
FlagOFF 2 ; Flag number 2 is OFF?
NOUNPresent ; $NOUN$ is here?
TurnFlagON 2 ; Turn flag number 2 ON
PrintMessage 10 ; As you touch the sacred scroll you hear a faint ti
Tone 4440 100 ; make a sount of 4440 hertz for 100 milliseconds
Tone 6660 120 ; make a sount of 6660 hertz for 120 milliseconds
Tone 7770 130 ; make a sount of 7770 hertz for 130 milliseconds
Tone 3330 80 ; make a sount of 3330 hertz for 80 milliseconds
Tone 3000 160 ; make a sount of 3000 hertz for 160 milliseconds
PlusScore 12 ; Add 12 to game score
PrintMessage 27 ;
END_COMMAND

COMMAND OPEN SARCOPHAGUS
AtLocation 8 ; Player is located at Exhibition Hall  >S
PrintMessage 11 ; The heavy lid swings open, revealing an empty spac
END_COMMAND

COMMAND ENTER SARCOPHAGUS
AtLocation 8 ; Player is located at Exhibition Hall  >S
NOUNisOpen ; $NOUN$ is open?
IsCarrying 228 ; PAPYRUS SCROLL is being carried?
PrintMessage 12 ; As you enter the sarcophagus you notice a soft glo
Tone 80 100 ; make a sount of 80 hertz for 100 milliseconds
Tone 60 111 ; make a sount of 60 hertz for 111 milliseconds
GoToRoom 50 ; Go to location 50 -- burial chamber  >N S E W
PutInCurrentRoom 225 ; Put noun (PHARAO'S SARCOPHAGUS) in current room
DoneWithTurn
END_COMMAND

COMMAND ENTER SARCOPHAGUS
AtLocation 8 ; Player is located at Exhibition Hall  >S
NOUNisClosed ; $NOUN$ is closed?
PrintMessage 13 ; It might help to open the sarcophagus first.
DoneWithTurn
END_COMMAND

COMMAND ENTER SARCOPHAGUS
AtLocation 8 ; Player is located at Exhibition Hall  >S
NOUNisOpen ; $NOUN$ is open?
NOT IsCarrying 228 ; PAPYRUS SCROLL is NOT being carried?
PrintMessage 37 ; You enter the sarcophagus.
DoneWithTurn
END_COMMAND

COMMAND ENTER SARCOPHAGUS
AtLocation 50 ; Player is located at burial chamber  >N S E W
PrintMessage 14 ; As you try to step into the sarcophagus again your
Destroy 225 ; Destroy noun (PHARAO'S SARCOPHAGUS)
DoneWithTurn
END_COMMAND

COMMAND NORTH
AtLocation 51 ; Player is located at Narrow Passage  >N S
IsCarrying 226 ; EMBALMED MUMMY is being carried?
 OR
InRoom 302 ; RESURRECTED PHARAO is here?
PrintMessage 29 ; As you walk through the death trap the air tingles
Tone 5550 160 ; make a sount of 5550 hertz for 160 milliseconds
Tone 3333 100 ; make a sount of 3333 hertz for 100 milliseconds
END_COMMAND

COMMAND SOUTH
AtLocation 51 ; Player is located at Narrow Passage  >N S
IsCarrying 226 ; EMBALMED MUMMY is being carried?
 OR
InRoom 302 ; RESURRECTED PHARAO is here?
PrintMessage 29 ; As you walk through the death trap the air tingles
Tone 5110 178 ; make a sount of 5110 hertz for 178 milliseconds
Tone 2900 100 ; make a sount of 2900 hertz for 100 milliseconds
END_COMMAND

COMMAND NORTH
AtLocation 51 ; Player is located at Narrow Passage  >N S
NOT IsCarrying 226 ; EMBALMED MUMMY is NOT being carried?
NOT InRoom 302 ; RESURRECTED PHARAO is NOT here?
PrintMessage 22 ; As you carefully edge your way along the wall of t
GoToRoom 105 ; Go to location 105 -- DEATH  >UP/DOWN
Tone 80 600 ; make a sount of 80 hertz for 600 milliseconds
Tone 60 300 ; make a sount of 60 hertz for 300 milliseconds
DoneWithTurn
END_COMMAND

COMMAND SOUTH
AtLocation 51 ; Player is located at Narrow Passage  >N S
NOT IsCarrying 226 ; EMBALMED MUMMY is NOT being carried?
NOT InRoom 302 ; RESURRECTED PHARAO is NOT here?
PrintMessage 22 ; As you carefully edge your way along the wall of t
GoToRoom 105 ; Go to location 105 -- DEATH  >UP/DOWN
Tone 90 621 ; make a sount of 90 hertz for 621 milliseconds
Tone 77 280 ; make a sount of 77 hertz for 280 milliseconds
DoneWithTurn
END_COMMAND

COMMAND UNLOCK CASE IN COIN
Present 227 ; CARVED CASE is here?
Present 230 ; GOLD COIN is here?
UnLockIt 227 ; Unlock noun (CARVED CASE)
OpenIt 227 ; Open noun (CARVED CASE)
PrintMessage 47 ; You carefully insert the gold coin into the slot..
DoneWithTurn
END_COMMAND

COMMAND INSERT COIN IN CASE
ReDirectTo UNLOCK CASE IN COIN
END_COMMAND

COMMAND INSERT COIN
Present 227 ; CARVED CASE is here?
Present 230 ; GOLD COIN is here?
ReDirectTo UNLOCK CASE IN COIN
END_COMMAND

COMMAND INSERT COIN
Present 227 ; CARVED CASE is here?
Present 224 ; SMALL CHANGE is here?
PrintMessage 15 ; You try several different coins but none seem to f
DoneWithTurn
END_COMMAND

COMMAND INSERT
Present 227 ; CARVED CASE is here?
PrintMessage 16 ; You fiddle around with the case's lock but accompl
DoneWithTurn
END_COMMAND

COMMAND INSERT
AtLocation 22 ; Player is located at Bus Stop  >N
NOUNPresent ; $NOUN$ is here?
DestroyNOUN ; Destroy $NOUN$
PrintMessage 60 ; As you insert the $NOUN$ into the machine's slot t
DoneWithTurn
END_COMMAND

COMMAND WHISTLE
Tone 3013 1200 ; make a sount of 3013 hertz for 1200 milliseconds
Tone 2600 1100 ; make a sount of 2600 hertz for 1100 milliseconds
ReDirectTo WAVE BILL
END_COMMAND

COMMAND WAVE BILL
AtLocation 17 ; Player is located at outside shop  >N S E W
 OR
AtLocation 19 ; Player is located at outside pyramid  >N S E W
 OR
AtLocation 20 ; Player is located at endless desert  >N S E W
Present 223 ; 100-DOLLAR BILL is here?
PrintMessage 39 ; Out of thin air a grey taxi cab appears. You get i
GoToRoom 21 ; Go to location 21 -- Taxi stand  >E W
DoneWithTurn
END_COMMAND

COMMAND WAVE BILL
AtLocation 21 ; Player is located at Taxi stand  >E W
Present 223 ; 100-DOLLAR BILL is here?
PrintMessage 45 ;
GoToRoom 101 ; Go to location 101 -- Taxi Cab
DoneWithTurn
END_COMMAND

COMMAND WAVE BILL
NOT Present 223 ; 100-DOLLAR BILL is NOT here?
PrintMessage 73 ; You try to whistle for a taxi but it doesn't seem
DoneWithTurn
END_COMMAND

COMMAND WAVE
NOUNPresent ; $NOUN$ is here?
PrintMessage 81 ; You feel a little awkward standing here waving the
DoneWithTurn
END_COMMAND

COMMAND ANY
AtLocation 59 ; Player is located at endless desert  >ALL
 OR
AtLocation 20 ; Player is located at endless desert  >N S E W
SubtractFromVariable 5 1 ; Decrease variable number 5 by 1
END_COMMAND

COMMAND ANY
VariableEquals 5 12 ; Variable number 5 is equal to 12?
PrintMessage 23 ; You seem to have lost your way in this desert.
BlankLine ; print blank line
PrintMessage 40 ; You seem to be walking in circles. You just crosse
BlankLine ; print blank line
END_COMMAND

COMMAND ANY
VariableLT 5 6 ; Variable number 5 is less than 6?
PrintMessage 24 ; You are feeling very thirsty now...
END_COMMAND

COMMAND ANY
VariableEquals 5 2 ; Variable number 5 is equal to 2?
PrintMessage 25 ; This thirst is really killing you...
END_COMMAND

COMMAND ANY
VariableLT 5 1 ; Variable number 5 is less than 1?
PrintMessage 26 ; You are beginning to hallucinate for want of water
GoToRoom 105 ; Go to location 105 -- DEATH  >UP/DOWN
DoneWithTurn
END_COMMAND

COMMAND ANY
AtLocation 23 ; Player is located at Airport
NOT IsCarrying 234 ; MEANING OF LIFF is NOT being carried?
IsCarrying 216 ; PHARAO'S JEWELS is being carried?
PutInCurrentRoom 234 ; Put noun (MEANING OF LIFF) in current room
END_COMMAND

COMMAND ANY
IsCarrying 234 ; MEANING OF LIFF is being carried?
WinGame ; Player wins game at end of turn
END_COMMAND

COMMAND ANY
NOT IsCarrying 216 ; PHARAO'S JEWELS is NOT being carried?
AtLocation 23 ; Player is located at Airport
PrintMessage 63 ; You fool.
EndGame ; Game ends at end of turn
END_COMMAND

COMMAND DRINK WATER
AtLocation 65 ; Player is located at Oasis  >ALL
SetVariableTo 5 16 ; Set variable number 5 to 16
END_COMMAND

COMMAND DRINK VIAL
NOT IsOpen 229 ; OIL VIAL is NOT OPEN?
PrintMessage 5 ; You'll have to open the vial of embalming oil firs
DoneWithTurn
END_COMMAND

COMMAND DRINK VIAL
PrintMessage 49 ; You drink a little of the rancid oil to discover t
TurnFlagON 10 ; Turn flag number 10 ON
DoneWithTurn
END_COMMAND

COMMAND EAST
AtLocation 69 ; Player is located at river delta  >N S E W
 OR
AtLocation 67 ; Player is located at banks of the river Nile  >N S
PrintMessage 62 ; Clumsily you stumble through the papyrus reeds and
DropIt 231 ; Drop noun 231 -- MASTER KEYRING
GoToRoom 70 ; Go to location 70 -- ocean's edge  >S SE SW
SendAllToRoom 71 ; Send everything to room 71 (high reeds  >ALL)
DoneWithTurn
END_COMMAND

COMMAND EAST
AtLocation 60 ; Player is located at Building Site  >S E W NW SE SW
PrintMessage 41 ; As you approach the guarded portcullis of the larg
END_COMMAND

COMMAND ASK MARINER IN PHARAO
NOT Present 302 ; RESURRECTED PHARAO is NOT here?
Present 305 ; ANCIENT MARINER is here?
PrintMessage 42 ; The mention of the pharao's name seems to ring a b
PutInCurrentRoom 213 ; Put noun (ROYAL ARMS) in current room
DoneWithTurn
END_COMMAND

COMMAND TELL MARINER IN PHARAO
ReDirectTo ASK MARINER IN PHARAO
END_COMMAND

COMMAND TELL MARINER
Present 302 ; RESURRECTED PHARAO is here?
Present 305 ; ANCIENT MARINER is here?
PrintMessage 72 ; As you talk to the sailor he notices the Pharao at
GetIt 213 ; Get noun 213 -- ROYAL ARMS
PlusScore 20 ; Add 20 to game score
PrintMessage 27 ;
DoneWithTurn
END_COMMAND

COMMAND UNLOCK DOOR
AtLocation 62 ; Player is located at Slave Quarters  >?E ?W
PrintMessage 54 ; You have some difficulty deciding which key to use
GoToRoom 63 ; Go to location 63 -- East of gaol  >S E W SW
PlusScore 10 ; Add 10 to game score
PrintMessage 27 ;
DoneWithTurn
END_COMMAND

COMMAND OPEN DOOR
AtLocation 62 ; Player is located at Slave Quarters  >?E ?W
ReDirectTo UNLOCK DOOR
END_COMMAND

COMMAND TRADE ANY IN ARMS
NOUNPresent ; $NOUN$ is here?
AtLocation 70 ; Player is located at ocean's edge  >S SE SW
PrintMessage 43 ; You trade the $NOUN$ for the flag, hoping you won'
DestroyNOUN ; Destroy $NOUN$
GetIt 213 ; Get noun 213 -- ROYAL ARMS
PlusScore 20 ; Add 20 to game score
PrintMessage 27 ;
DoneWithTurn
END_COMMAND

COMMAND GET CIGARETTES
AtLocation 5 ; Player is located at Great Museum Hall  >N S E W
IsOpen 203 ; INFORMATION COUNTER is OPEN?
MinusScore 10 ; Subtract 10 from game score
PrintMessage 28 ;
GetIt 206 ; Get noun 206 -- ORIENTAL CIGARETTES
DoneWithTurn
END_COMMAND

COMMAND DROP CIGARETTES
IsCarrying 206 ; ORIENTAL CIGARETTES is being carried?
PrintMessage 48 ; OK.
DropIt 206 ; Drop noun 206 -- ORIENTAL CIGARETTES
DoneWithTurn
END_COMMAND

COMMAND GET MATCHES
IsOpen 203 ; INFORMATION COUNTER is OPEN?
AtLocation 5 ; Player is located at Great Museum Hall  >N S E W
PlusScore 10 ; Add 10 to game score
PrintMessage 27 ;
GetIt 205 ; Get noun 205 -- SAFETY MATCHES
DoneWithTurn
END_COMMAND

COMMAND UP
AtLocation 102 ; Player is located at elevator  >S UP/DOWN
PrintMessage 20 ; As you shift the lever to UP position the elevator
END_COMMAND

COMMAND DOWN
AtLocation 102 ; Player is located at elevator  >S UP/DOWN
PrintMessage 21 ; By setting the control lever to DOWN position you
END_COMMAND

COMMAND UP
AtLocation 105 ; Player is located at DEATH  >UP/DOWN
GoToRandomRoom 106 107 ; Go to random location between HELL and HEAVEN
DoneWithTurn
END_COMMAND

COMMAND DOWN
AtLocation 105 ; Player is located at DEATH  >UP/DOWN
GoToRandomRoom 107 106 ; Go to random location between HEAVEN and HELL
DoneWithTurn
END_COMMAND

COMMAND HOIST ARMS
AtLocation 72 ; Player is located at in the royal barque  >DOWN
NOUNPresent ; $NOUN$ is here?
Present 302 ; RESURRECTED PHARAO is here?
Destroy 302 ; Destroy noun (RESURRECTED PHARAO)
PrintMessage 53 ; As you hoist the kings arms to the top a fresh gus
Destroy 213 ; Destroy noun (ROYAL ARMS)
GoToRoom 73 ; Go to location 73 -- royal barque  >DOWN
DoneWithTurn
END_COMMAND

COMMAND HOIST ARMS
NOT Present 302 ; RESURRECTED PHARAO is NOT here?
PrintMessage 74 ; As you hoist the flag you feel a soft wind rising.
DoneWithTurn
END_COMMAND

COMMAND NORTH
RoomNeedsLight ; current location does need a light?
NOT LightPresent ; current location is NOT lighted?
PrintMessage 57 ; You try to go $VERB$, but in the dark you bump int
DoneWithTurn
END_COMMAND

COMMAND SOUTH
RoomNeedsLight ; current location does need a light?
NOT LightPresent ; current location is NOT lighted?
PrintMessage 57 ; You try to go $VERB$, but in the dark you bump int
DoneWithTurn
END_COMMAND

COMMAND WEST
RoomNeedsLight ; current location does need a light?
NOT LightPresent ; current location is NOT lighted?
PrintMessage 57 ; You try to go $VERB$, but in the dark you bump int
DoneWithTurn
END_COMMAND

COMMAND EAST
RoomNeedsLight ; current location does need a light?
NOT LightPresent ; current location is NOT lighted?
PrintMessage 57 ; You try to go $VERB$, but in the dark you bump int
DoneWithTurn
END_COMMAND

COMMAND TELL
NOT NOUNPresent ; $NOUN$ is NOT here?
PrintMessage 55 ; You must be confused. The $NOUN$ isn't here.
DoneWithTurn
END_COMMAND

COMMAND TELL GUIDE
NOUNPresent ; $NOUN$ is here?
PrintMessage 80 ; You try to wake the guide and talk to him, but he
DoneWithTurn
END_COMMAND

COMMAND ASK GUIDE
ReDirectTo TELL GUIDE
END_COMMAND

COMMAND TELL
NOUNPresent ; $NOUN$ is here?
NOT InRoom 301 ; TAXI DRIVER is NOT here?
NOT InRoom 302 ; RESURRECTED PHARAO is NOT here?
NOT InRoom 303 ; SLEEPY CLERK is NOT here?
NOT InRoom 305 ; ANCIENT MARINER is NOT here?
NOT InRoom 306 ; TOURIST GROUP is NOT here?
PrintMessage 56 ; Better not. If somebody saw you talking to a $NOUN
DoneWithTurn
END_COMMAND

COMMAND RESURRECT
AtLocation 106 ; Player is located at HELL
 OR
AtLocation 107 ; Player is located at HEAVEN
GoToRoom 25 ; Go to location 25 -- hotel room  >S
SendToRoom 216 214 ; Put item (PHARAO'S JEWELS) in room 214 (TREASURE CHEST)
SendToRoom 214 55 ; Put item (TREASURE CHEST) in room 55 (Treasure Chamber  >S)
SendToRoom 225 8 ; Put item (PHARAO'S SARCOPHAGUS) in room 8 (Exhibition Hall  >S)
PrintMessage 59 ; You awake from a strange dream, covered in sweat.
TurnFlagON 99 ; Turn flag number 99 ON
DoneWithTurn
END_COMMAND

COMMAND ANY
FlagON 99 ; Flag number 99 is ON?
NOT IsCarrying 211 ; SACRED AMULET is NOT being carried?
NOT IsCarrying 224 ; SMALL CHANGE is NOT being carried?
Destroy 223 ; Destroy noun (100-DOLLAR BILL)
GetIt 224 ; Get noun 224 -- SMALL CHANGE
TurnFlagOFF 3 ; Turn flag number 3 OFF
END_COMMAND

COMMAND ANY
AtLocation 26 ; Player is located at hotel corridor  >N S E W
AddToVariable 9 1 ; Increase variable number 9 by 1
END_COMMAND

COMMAND ANY
AtLocation 26 ; Player is located at hotel corridor  >N S E W
VariableGT 9 7 ; Variable number 9 is equal to 7?
SendToRoom 235 25 ; Put item (LEATHER SUITCASE) in room 25 (hotel room  >S)
END_COMMAND

COMMAND EXAMINE REMAINS
AtLocation 54 ; Player is located at Guard Room  >E
NOT IsCarrying 231 ; MASTER KEYRING is NOT being carried?
PrintMessage 79 ; As you browse through the dusty remains of hundred
PutInCurrentRoom 231 ; Put noun (MASTER KEYRING) in current room
DoneWithTurn
END_COMMAND

COMMAND NORTH
AtLocation 71 ; Player is located at high reeds  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND NORTHEAST
AtLocation 61 ; Player is located at rolling dunes  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND SOUTH
AtLocation 71 ; Player is located at high reeds  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND EAST
AtLocation 61 ; Player is located at rolling dunes  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND WEST
AtLocation 71 ; Player is located at high reeds  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND WEST
AtLocation 61 ; Player is located at rolling dunes  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND EAST
AtLocation 71 ; Player is located at high reeds  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND SOUTHEAST
AtLocation 61 ; Player is located at rolling dunes  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND SOUTHWEST
AtLocation 61 ; Player is located at rolling dunes  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND NORTHWEST
AtLocation 61 ; Player is located at rolling dunes  >ALL
FlagON 10 ; Flag number 10 is ON?
PrintMessage 61 ; This embalming fluid you drank must be doing somet
DoneWithTurn
END_COMMAND

COMMAND ANY
AtLocation 106 ; Player is located at HELL
 OR
AtLocation 107 ; Player is located at HEAVEN
PrintMessage 58 ; This is the end.
END_COMMAND


REM  ----  Flags, Counters, and Variables Used

REM  ----  Flags Used
REM  Flag 1
REM  Flag 2
REM  Flag 3
REM  Flag 5
REM  Flag 6
REM  Flag 10
REM  Flag 99

REM  ----  Counters Used
REM  Counter 1

REM  ----  Variables Used
REM  Variable 1
REM  Variable 2
REM  Variable 5
REM  Variable 9


